> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project



## OpenAPI

````yaml /api-reference/openapi.json get /api/projects/{project_id}
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/projects/{project_id}:
    get:
      tags:
        - projects
      summary: Get Project
      operationId: get_project_api_projects__project_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProjectRead:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        settings:
          anyOf:
            - type: object
            - type: 'null'
          title: Settings
        dataset_ids:
          items:
            type: string
          type: array
          title: Dataset Ids
          default: []
        owner_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Owner Id
        permissions:
          anyOf:
            - $ref: '#/components/schemas/PermissionsPayload'
            - type: 'null'
        can_edit:
          type: boolean
          title: Can Edit
          default: false
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
      title: ProjectRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PermissionsPayload:
      properties:
        view:
          $ref: '#/components/schemas/AccessScope'
        edit:
          $ref: '#/components/schemas/AccessScope'
      additionalProperties: false
      type: object
      title: PermissionsPayload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AccessScope:
      properties:
        users:
          items:
            type: integer
          type: array
          title: Users
        roles:
          items:
            type: string
          type: array
          title: Roles
      additionalProperties: false
      type: object
      title: AccessScope
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````